import React from 'react';
import type { Ingredients, IngredientNames } from '@/interfaces/Ingredients';
import BuildControl from './BuildControl/BuildControl';
import './BuildControls.css';

interface Props {
    ingredients: Ingredients;
    onMoreClick: (ingType: IngredientNames) => void;
    onLessClick: (ingType: IngredientNames) => void;
    price: number
}

const BuildControls = ({ingredients, onMoreClick, onLessClick, price}: Props) => {
    return (
        <div className='BuildControls'>
            <p>Current Price: <strong>{price} ₸</strong></p>
            {Object.keys(ingredients).map(ingType => (
                <BuildControl 
                    key={ingType} 
                    type={ingType as IngredientNames}
                    onLessClick={() => onLessClick(ingType as IngredientNames)}
                    onMoreClick={() => onMoreClick(ingType as IngredientNames)}
                />
            ))}
        </div>
    );
}

export default BuildControls;
